#!/bin/bash
echo ""
echo "
/*---------------------------------------------------------------------------*\\
| =========                 |                                                 |
| \\\\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\\\    /   O peration     | Version:  2.1.x                                 |
|   \\\\  /    A nd           | Web:      www.OpenFOAM.org                      |
|    \\\\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/

Script for calculation of the mean mass flow over the timesteps
Author: Tobias Holzmann
"
patchIntegrate phi $1 > phi.tmp

cat phi.tmp | grep 'Integral of phi over patch ' | cut -d'=' -f2 > phi.tmp2
awk '{a = a + $1} END{print ""; print "Mean value of mass flow is: " a/FNR " kg/s"; print ""}' phi.tmp2

rm -f phi.tmp*
